ModuleComponentSelector (Gradle API 7.6.4)

Package org.gradle.api.artifacts.component

## Interface ModuleComponentSelector

- All Superinterfaces:
    `ComponentSelector`

      public interface ModuleComponentSelector
      extends ComponentSelector

  Criteria for selecting a component instance that is available as a module version.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getGroup()` | The group of the module to select the component from.
    `java.lang.String` | `getModule()` | The name of the module to select the component from.
    `ModuleIdentifier` | `getModuleIdentifier()` | The module identifier of the component.
    `java.lang.String` | `getVersion()` | The version of the module to select the component from.
    `VersionConstraint` | `getVersionConstraint()` | The version constraint of the module to select the component from.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

      `getAttributes, getDisplayName, getRequestedCapabilities, matchesStrictly`

- - ### Method Detail

    - #### getGroup

          java.lang.String getGroup()

      The group of the module to select the component from.
      Returns:
        Module group
      Since:
        1.10

    - #### getModule

          java.lang.String getModule()

      The name of the module to select the component from.
      Returns:
        Module name

    - #### getVersion

          java.lang.String getVersion()

      The version of the module to select the component from.
      Returns:
        Module version

    - #### getVersionConstraint

          VersionConstraint getVersionConstraint()

      The version constraint of the module to select the component from.
      Returns:
        Module version constraint
      Since:
        4.4

    - #### getModuleIdentifier

          ModuleIdentifier getModuleIdentifier()

      The module identifier of the component. Returns the same information as `getGroup()` and `getModule()`.
      Returns:
        the module identifier
      Since:
        4.9